×
INDI Library v1.8.6 Released (21 Aug 2020)

August 2020 release of INDI Library v1.8.6 introduces new drivers while providing fixes and improvements to existing devices and core framework.

INDI install failing

1 month 3 weeks ago
Bargegazer
Fresh Boarder
Fresh Boarder
Posts: 7
More
Topic Author
INDI install failing #58926
I have been trying to install Indi under Mint 20 and have experienced problems. Is the file broken or am I doing something wrong?

I am getting the following error:

sudo apt-add-repository ppa:mutlaqja/ppa

sudo apt-get update

sudo apt-get install indi-full gsc

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
indi-full : Depends: indi-gphoto but it is not going to be installed
Depends: indi-pentax but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Thanks for any help. I feel this may be at the core of a problem I was having installing oacapture earlier. The problems now are with a new install of Mint.

David

Please Log in or Create an account to join the conversation.

1 month 3 weeks ago
rickbassham
Expert Boarder
Expert Boarder
Posts: 80
More
INDI install failing #58931
Please see indilib.org/forum/general/7563-libraw19-...nflict-in-1-8-6.html for more info. There is a dependency issue on libraw20. You can try changing your install to
sudo apt-get install indi-full gsc libraw20

But you may get issues if you use this computer for more than just indi/kstars.

Gayle H Riggsbee Observatory
Charlotte Amateur Astronomers Club

CGX
AT72EDII w/Homemade Moonlite Compatible Arduino Focuser
AT8RC w/Moonlite CSL 2.5" w/Moonlite Stepper v3
ZWO ASI1600MC-Pro
ZWO ASI1600MM-Pro
ZWO ASI174MM-Mini
ZWO OAG
ZWO EFW
AT2FF

Please Log in or Create an account to join the conversation.

1 month 3 weeks ago
Bargegazer
Fresh Boarder
Fresh Boarder
Posts: 7
More
Topic Author
INDI install failing #58961
Thanks Rick, That did the job. Is this going to be a temporary or permanent fix?

David

Please Log in or Create an account to join the conversation.

1 month 3 weeks ago 1 month 3 weeks ago by rickbassham.
rickbassham
Expert Boarder
Expert Boarder
Posts: 80
More
INDI install failing #58972
If all you use your machine for is kstars, you should be fine if the command above worked for you. If you have other tools that need libraw19 (like oacapture, gimp, and any imaging programs from the main distro), you'll likely need the fix that will allow them to be installed side-by-side. Devs are looking into ways to get libraw20 and libraw19 installed side-by-side, and a couple of people have tested it, but I think @knro wants to be very sure about the fix before making the change.

Gayle H Riggsbee Observatory
Charlotte Amateur Astronomers Club

CGX
AT72EDII w/Homemade Moonlite Compatible Arduino Focuser
AT8RC w/Moonlite CSL 2.5" w/Moonlite Stepper v3
ZWO ASI1600MC-Pro
ZWO ASI1600MM-Pro
ZWO ASI174MM-Mini
ZWO OAG
ZWO EFW
AT2FF

Please Log in or Create an account to join the conversation.

1 month 3 weeks ago
knro
Administrator
Administrator
Posts: 8444
Karma: 51
INDI install failing #58974
I removed libraw20 from the repo and now will build KStars again to use whatever libraw is available by defualt. This will remove CR3 support but I guess that's better than having conflict with other packages.

Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info

Please Log in or Create an account to join the conversation.

1 month 3 weeks ago
Bargegazer
Fresh Boarder
Fresh Boarder
Posts: 7
More
Topic Author
INDI install failing #58978
Understood, thanks.

David

Please Log in or Create an account to join the conversation.

1 month 3 weeks ago
rickbassham
Expert Boarder
Expert Boarder
Posts: 80
More
INDI install failing #58981
@knro Does indi-pentax still depend on libraw20? I'm trying to do a fresh install on 20.04 using the stable ppa and I'm getting the following error:
sudo apt install -y indi-full
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 indi-full : Depends: indi-pentax but it is not going to be installed

When I try to include libraw20, I get the following:
sudo apt install -y indi-full libraw20
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package libraw20 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libraw20' has no installation candidate

Gayle H Riggsbee Observatory
Charlotte Amateur Astronomers Club

CGX
AT72EDII w/Homemade Moonlite Compatible Arduino Focuser
AT8RC w/Moonlite CSL 2.5" w/Moonlite Stepper v3
ZWO ASI1600MC-Pro
ZWO ASI1600MM-Pro
ZWO ASI174MM-Mini
ZWO OAG
ZWO EFW
AT2FF
The following user(s) said Thank You knro

Please Log in or Create an account to join the conversation.

1 month 3 weeks ago
knro
Administrator
Administrator
Posts: 8444
Karma: 51
INDI install failing #58993
Thanks! rebuilding indi-pentax now.

Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info

Please Log in or Create an account to join the conversation.

Time to create page: 0.910 seconds